curl --request DELETE \
--url https://www.genviral.io/api/partner/v1/folders/aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa/items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"item_ids": [
"11111111-1111-1111-1111-111111111111"
]
}'
{
"ok": true,
"code": 200,
"message": "Folder items removed",
"data": {
"folder_id": "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa",
"item_type": "file",
"removed_count": 1
}
}
Folders
Remove Folder Items
Remove files or slideshows from a folder
DELETE
/
api
/
partner
/
v1
/
folders
/
{folderId}
/
items
curl --request DELETE \
--url https://www.genviral.io/api/partner/v1/folders/aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa/items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"item_ids": [
"11111111-1111-1111-1111-111111111111"
]
}'
{
"ok": true,
"code": 200,
"message": "Folder items removed",
"data": {
"folder_id": "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa",
"item_type": "file",
"removed_count": 1
}
}
Removes one or more folder items. The request body is required even though the HTTP method is
DELETE.
Path Parameters
string
required
Folder UUID.
Body Parameters
string[]
required
UUIDs of files or slideshows to remove (
1-200 items).curl --request DELETE \
--url https://www.genviral.io/api/partner/v1/folders/aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa/items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"item_ids": [
"11111111-1111-1111-1111-111111111111"
]
}'
{
"ok": true,
"code": 200,
"message": "Folder items removed",
"data": {
"folder_id": "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa",
"item_type": "file",
"removed_count": 1
}
}
Error Responses
400 invalid_json- malformed JSON body422 invalid_path-folderIdis not a valid UUID422 invalid_payload- missing or invaliditem_ids404 not_found- folder not visible in key scope404 item_not_found- one or more item IDs are not in the folder401- authentication failed (missing/invalid/revoked token)402 subscription_required- active Creator/Professional/Business plan required403 tier_not_allowed- Scheduler tier cannot use Partner API500 folder_items_remove_failed- unexpected failure
